commit:     cdf1e0fcf353fe21b9595e11153e1ea35bcb2ad0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 16:17:05 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 16:24:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdf1e0fc

dev-python/jq: Bump to 1.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jq/Manifest        |  1 +
 dev-python/jq/jq-1.7.0.ebuild | 49 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/jq/Manifest b/dev-python/jq/Manifest
index a4a6ab185189..6ec16716199d 100644
--- a/dev-python/jq/Manifest
+++ b/dev-python/jq/Manifest
@@ -1 +1,2 @@
 DIST jq.py-1.6.0.gh.tar.gz 2842673 BLAKE2B 
5ef2d2c6641483123b030c508b04e8f1574a5ca3168a2bacfd7c5a4ad01344d677f723cc3317677275496bd56412c5ab64370ed87b70dcb91dd1d8328daf65a8
 SHA512 
91e2c0890cece4f09e362c0ae691c768be64ba0d8e0d7441c9a459be37ff70ee816d179c21759ee053b2b434fc0a6998d90b660ae1f1456d4f506474cb80d88e
+DIST jq.py-1.7.0.gh.tar.gz 1953673 BLAKE2B 
861dcb706ef801ff3abb47a6b85fb8aad03988c717a67063d737667ce6853c89dbe10bf61dac517701b8b3e3af6b97d12a15ed03aa0d5a6e6d0d3fa2697e9284
 SHA512 
918e4537eacf55d0cce888b1946b13acb6d177906d704c99e0b1cc88a55a2929fbeccef7d3fa61daaf0290a97afec581d23a641bdbfc0c700744422135fbcad6

diff --git a/dev-python/jq/jq-1.7.0.ebuild b/dev-python/jq/jq-1.7.0.ebuild
new file mode 100644
index 000000000000..de4242515879
--- /dev/null
+++ b/dev-python/jq/jq-1.7.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P="jq.py-${PV}"
+DESCRIPTION="Python bindings for jq"
+HOMEPAGE="
+       https://github.com/mwilliamson/jq.py/
+       https://pypi.org/project/jq/
+"
+# pypi sdist is missing .pyx
+SRC_URI="
+       https://github.com/mwilliamson/jq.py/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# Minimum versions of jq + onigurama are from setup.py's bundled versions
+DEPEND="
+       >=app-misc/jq-1.7.1:=
+       >=dev-libs/oniguruma-6.9.8:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+       local -x JQPY_USE_SYSTEM_LIBS=1
+
+       # Cython compilation isn't part of setup.py, so do it manually
+       "${EPYTHON}" -m cython -3 jq.pyx -o jq.c || die
+       distutils-r1_python_compile
+}

Reply via email to